Index: src/sas/qtgui/Calculators/GenericScatteringCalculator.py
===================================================================
--- src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision aed053275d5f293f1f6495be4c78e4b18fc52b41)
+++ src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision 30e0be0b77d88f4352e614a87d289868c9480fc1)
@@ -32,4 +32,5 @@
 
     trigger_plot_3d = QtCore.pyqtSignal()
+    calculationFinishedSignal = QtCore.pyqtSignal()
 
     def __init__(self, parent=None):
@@ -100,4 +101,7 @@
         # plots - 3D in real space
         self.trigger_plot_3d.connect(lambda: self.plot3d(has_arrow=False))
+
+        # plots - 3D in real space
+        self.calculationFinishedSignal.connect(self.plot_1_2d)
 
         # TODO the option Ellipsoid has not been implemented
@@ -545,5 +549,6 @@
             d = threads.deferToThread(self.complete, inputs, self._update)
             # Add deferred callback for call return
-            d.addCallback(self.plot_1_2d)
+            #d.addCallback(self.plot_1_2d)
+            d.addCallback(self.calculateComplete)
             d.addErrback(self.calculateFailed)
         except:
@@ -563,4 +568,10 @@
         print("Calculate Failed with:\n", reason)
         pass
+
+    def calculateComplete(self, d):
+        """
+        Notify the main thread
+        """
+        self.calculationFinishedSignal.emit()
 
     def complete(self, input, update=None):
@@ -629,5 +640,5 @@
         self.graph_num += 1
 
-    def plot_1_2d(self, d):
+    def plot_1_2d(self):
         """ Generate 1D or 2D plot, called in Compute"""
         if self.is_avg or self.is_avg is None:
@@ -637,5 +648,5 @@
             data.xaxis('\\rm{Q_{x}}', '\AA^{-1}')
             data.yaxis('\\rm{Intensity}', 'cm^{-1}')
-            plot1D = Plotter(self)
+            plot1D = Plotter(self, quickplot=True)
             plot1D.plot(data)
             plot1D.show()
@@ -655,5 +666,5 @@
             data.title = "GenSAS {}  #{} 2D".format(self.file_name,
                                                     int(self.graph_num))
-            plot2D = Plotter2D(self)
+            plot2D = Plotter2D(self, quickplot=True)
             plot2D.plot(data)
             plot2D.show()
@@ -825,4 +836,16 @@
         self.figure.canvas.draw()
 
+    def createContextMenu(self):
+        """
+        Define common context menu and associated actions for the MPL widget
+        """
+        return
+
+    def createContextMenuQuick(self):
+        """
+        Define context menu and associated actions for the quickplot MPL widget
+        """
+        return
+
 
 class Plotter3D(QtWidgets.QDialog, Plotter3DWidget):
Index: src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py
===================================================================
--- src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py	(revision 144fe21c4befe53963fef06a9091c7d69d0b3b41)
+++ src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py	(revision 30e0be0b77d88f4352e614a87d289868c9480fc1)
@@ -517,5 +517,4 @@
             cal_res.addErrback(self.calculateFailed)
 
-            # logging.info("Computation is in progress...")
             self.cmdCompute.setText('Wait...')
             self.cmdCompute.setEnabled(False)
@@ -524,6 +523,7 @@
 
     def calculateFailed(self, reason):
-        print("calculateFailed Failed with:\n", reason)
-        pass
+        self.cmdCompute.setText('Compute')
+        self.cmdCompute.setEnabled(True)
+        logging.error(str(reason))
 
     def complete(self, image):
Index: src/sas/qtgui/Calculators/UI/GenericScatteringCalculator.ui
===================================================================
--- src/sas/qtgui/Calculators/UI/GenericScatteringCalculator.ui	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
+++ src/sas/qtgui/Calculators/UI/GenericScatteringCalculator.ui	(revision 30e0be0b77d88f4352e614a87d289868c9480fc1)
@@ -164,9 +164,4 @@
            </property>
           </item>
-          <item>
-           <property name="text">
-            <string>Ellipsoid</string>
-           </property>
-          </item>
          </widget>
         </item>
Index: src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py	(revision e90988cd3c71ed989b47df2bed55bcd11e7733ce)
+++ src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py	(revision 30e0be0b77d88f4352e614a87d289868c9480fc1)
@@ -91,9 +91,10 @@
                              ['Fixed orientation', 'Debye full avg.'])
 
-        self.assertEqual(self.widget.cbShape.count(), 2)
+        self.assertEqual(self.widget.cbShape.count(), 1)
         self.assertEqual(self.widget.cbShape.currentIndex(), 0)
         self.assertListEqual([self.widget.cbShape.itemText(i) for i in
                               range(self.widget.cbShape.count())],
-                             ['Rectangular', 'Ellipsoid'])
+                             ['Rectangular'])
+                             #['Rectangular', 'Ellipsoid'])
         self.assertFalse(self.widget.cbShape.isEditable())
         # disable buttons
Index: src/sas/sascalc/calculator/resolution_calculator.py
===================================================================
--- src/sas/sascalc/calculator/resolution_calculator.py	(revision b8080e1affadb04559f0597dfddc5506d2044e9d)
+++ src/sas/sascalc/calculator/resolution_calculator.py	(revision 30e0be0b77d88f4352e614a87d289868c9480fc1)
@@ -1008,5 +1008,5 @@
             detector_offset = self.sample2detector_distance[1]
         except:
-            logger.error(sys.exc_value)
+            logger.error(str(sys.exc_info()[1]))
 
         # detector size in [no of pix_x,no of pix_y]
